Subject: Re: bug#756: bluealsa only comes with systemd service and as such is unusable on devuan

From: Mark Hindley <[email-masked]>
Date: Mon, 3 Apr 2023 16:13:34 +0100

Control: tags -1 debian

Klaus,

On Mon, Apr 03, 2023 at 03:52:17PM +0100, Klaus Ethgen wrote:
> Package: bluez-alsa-utils
> Version: 4.0.0-2
> Severity: grave

Thanks for this.

> I want to use my bluetooth headset but I don't use pötterware like
> pulseaudio.
> 
> bluez is a dropin replacement for this but I was unable to use it. Now I
> see that the bluealsa daemon is only start with a systemd service and
> not by udev or init. So this is unusable on devuan.

Or non-systemd Debian.

In the first instance, I think we should try to get non-systemd startup included
in Debian.

Do you have an initscript or udev rules that works? Can you write one?

Thanks,

Mark